Bug 179531 - bash segfaulted
bash segfaulted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 00:37 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 10:49:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-02-01 00:37:11 EST
I just found a core dump from 2 days ago on a server running latest rawhide.

Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xa50000
Core was generated by `-bash'.
Program terminated with signal 11, Segmentation fault.

warning: svr4_current_sos: Can't read pathname for load map: Input/output error

Reading symbols from /lib/libtermcap.so.2...done.
Loaded symbols for /lib/libtermcap.so.2
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
#0  0x00c19ef8 in __gconv_transform_utf8_internal () from /lib/libc.so.6
(gdb) bt
#0  0x00c19ef8 in __gconv_transform_utf8_internal () from /lib/libc.so.6
#1  0x00c6e0b2 in mbrtowc () from /lib/libc.so.6
#2  0x080bb5cc in rl_redisplay () at display.c:665
#3  0x080b9246 in rl_clear_message () at display.c:1931
#4  0x080bbcf5 in rl_free_line_state () at signals.c:422
#5  0x080bc122 in rl_signal_handler (sig=2) at signals.c:145
#6  <signal handler called>
#7  0x00a50402 in __kernel_vsyscall ()
#8  0x00c263fb in sigprocmask () from /lib/libc.so.6
#9  0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#10 <signal handler called>
#11 0x00a50402 in __kernel_vsyscall ()
#12 0x00c263fb in sigprocmask () from /lib/libc.so.6
#13 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#14 <signal handler called>
#15 0x00a50402 in __kernel_vsyscall ()
#16 0x00c263fb in sigprocmask () from /lib/libc.so.6
#17 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#18 <signal handler called>
#19 0x00a50402 in __kernel_vsyscall ()
#20 0x00c263fb in sigprocmask () from /lib/libc.so.6
#21 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#22 <signal handler called>
#23 0x00a50402 in __kernel_vsyscall ()
#24 0x00c263fb in sigprocmask () from /lib/libc.so.6
#25 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#26 <signal handler called>
#27 0x00a50402 in __kernel_vsyscall ()
#28 0x00c263fb in sigprocmask () from /lib/libc.so.6
#29 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#30 <signal handler called>
#31 0x00a50402 in __kernel_vsyscall ()
#32 0x00c263fb in sigprocmask () from /lib/libc.so.6
#33 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#34 <signal handler called>
#35 0x00a50402 in __kernel_vsyscall ()
#36 0x00c263fb in sigprocmask () from /lib/libc.so.6
#37 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#38 <signal handler called>
#39 0x00a50402 in __kernel_vsyscall ()
#40 0x00c263fb in sigprocmask () from /lib/libc.so.6
#41 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#42 <signal handler called>
#43 0x00a50402 in __kernel_vsyscall ()
#44 0x00c263fb in sigprocmask () from /lib/libc.so.6
#45 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#46 <signal handler called>
#47 0x00a50402 in __kernel_vsyscall ()
#48 0x00c263fb in sigprocmask () from /lib/libc.so.6
#49 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#50 <signal handler called>
#51 0x00a50402 in __kernel_vsyscall ()
#52 0x00c263fb in sigprocmask () from /lib/libc.so.6
#53 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#54 <signal handler called>
#55 0x00a50402 in __kernel_vsyscall ()
#56 0x00c263fb in sigprocmask () from /lib/libc.so.6
#57 0x080bc17a in rl_signal_handler (sig=2) at signals.c:183
#58 <signal handler called>
#59 0x00a50402 in __kernel_vsyscall ()

---Type <return> to continue, or q <return> to quit---


After reaching #8219 of the same repeating pattern, I got tired of hitting
return, I guess there's nothing else there.
Comment 1 Tim Waugh 2006-02-07 10:49:54 EST
There was a segfault fix in 3.1-6.  Perhaps it was that?

Note You need to log in before you can comment on or make changes to this bug.